Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.networkdb.kademlia
Class FloodOnlyLookupSelector

    java.lang.Object
      net.i2p.router.networkdb.kademlia.FloodOnlyLookupSelector

All Implemented Interfaces:
  MessageSelector

     class FloodOnlyLookupSelector

extends Object
implements MessageSelector

Constructor Summary
`FloodOnlyLookupSelector(RouterContext ctx, FloodOnlySearchJob search)`

Method Summary
`boolean` | `continueMatching()` Returns true if the selector should still keep searching for further matches
`long` | `getExpiration()` Returns the # of milliseconds since the epoch after which this selector should stop searching for matches
`boolean` | `isMatch(I2NPMessage message)` Returns true if the received message matches the selector

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloodOnlyLookupSelector

    public FloodOnlyLookupSelector(RouterContext ctx,
                                   FloodOnlySearchJob search)

Method Detail

### continueMatching

    public boolean continueMatching()

  Description copied from interface: `MessageSelector`
  Returns true if the selector should still keep searching for further matches

  Specified by:
    `continueMatching` in interface `MessageSelector`

### getExpiration

    public long getExpiration()

  Description copied from interface: `MessageSelector`
  Returns the # of milliseconds since the epoch after which this selector should stop searching for matches

  Specified by:
    `getExpiration` in interface `MessageSelector`

### isMatch

    public boolean isMatch(I2NPMessage message)

  Description copied from interface: `MessageSelector`
  Returns true if the received message matches the selector

  Specified by:
    `isMatch` in interface `MessageSelector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD